Skip to main content
GET
List DDoS protection profiles

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Unique identifier of the cloud project that owns the DDoS protection resources

Example:

1

region_id
integer
required

Unique identifier of the cloud region where DDoS protection operations will be performed

Example:

1

Query Parameters

ip_address

Filter DDoS profiles by this IP address

Example:

"203.0.113.1"

limit
integer
default:1000

Limit of items on a single page

Required range: x <= 1000
Example:

1000

managed_by
enum<string>[]

Specifies the entity responsible for managing the resource.

  • user: The profile is created and maintained directly by the user.
  • system: The profile is created and maintained automatically by the system.
Available options:
system,
user
Example:

"user"

offset
integer
default:0

Offset in results list

Required range: x >= 0
Example:

0

order_by
enum<string>
default:id.asc

Sort results by field and direction

Available options:
id.asc,
id.desc,
ip_address.asc,
ip_address.desc,
managed_by.asc,
managed_by.desc,
site.asc,
site.desc,
status.asc,
status.desc
Example:

"id.asc"

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
ClientProfileSerializer · object[]
required

Objects